
//***********************************************************************************
//FILE: bckRenameFile.java
//PURPOSE: This program renames an inputfile to  Host_Instance_Date.jar
//***********************************************************************************

import java.io.*;
import java.lang.*;
import java.net.*;
import java.util.*;

public class bckRenameFile {

//################################################
//STATIC CLASS VARIABLES
//################################################
//CONTANT INTEGERS
public static final int			STRINGBUFFER_SIZE = 256;
public static final int 		OK=0;
public static final int 		ERROR=-1;
public static final char		UNIX='2';
public static final char		WINDOW='1';

//CONSTANT STRINGS


//##############################################################################
//MAIN
//##############################################################################
public static void main(String argv[])
{
	try
	{
		
		//CHECK COMMAND LINE OPTION
		if (argv.length !=2 )
		{
			System.out.println("Error.Please enter bckRenameFile <input_file> <oracle_instance_name>");
			return ;
		}
		String instance_name = argv[1];
		String mydate= getDate();
		String myhost = InetAddress.getLocalHost().getHostName();
		String outfile = myhost + "_" + instance_name + "_" + mydate + ".jar";
		if (fileExists(argv[0])==true )
		{
			if (new File(outfile).exists()==true)	new File(outfile).delete();
			if (renameFile(argv[0],outfile)==OK)
				System.out.println("Done. Your file is renamed to " + outfile);
		}
	}
	catch(Exception e)
	{
		System.out.println("Exception. Error Message: " + e);
		//return ERROR;
	}
     }	//end of main

//#############################################################
//
//#############################################################
public static String getDate()
{

	//Calendar now = new Calendar();
	Date today  = new Date();
	String date_in_string = today.toString().substring(0,11).replace(' ','_')
		+ today.toString().substring(24,28)
		+"_" + today.toString().substring(11,19).replace(':','_');
	String short_date=date_in_string.substring(0,15);
	//System.out.println("today=" + today +"\nshort_date="+short_date);
	return short_date;

}

//##############################################################################
//
//##############################################################################
public static boolean fileExists(String filename)
{
File fid;
try
{
	//System.out.println("renameFile STARTS");
 	fid = new File(filename);
 	if (fid.exists()==false)
 	{
 		System.out.println("Error. File or directory '" + filename +"' does not exist");
 		return false;
 	}
 	return true;
}
catch(Exception e)
{
    	System.out.println("Error. Utils.fileExists() fails. Error message: " + e);
    	return false;
}
}
//##########################################################
//
//##########################################################
public static int deleteFile(String dfilename)
{
File fdel;
	try
	{
 		fdel = new File(dfilename);
 		//System.out.println("deleteFile STARTS");
 		if (fdel.exists()==true)
 		{
 			//System.out.println("renameFile: OK");
 			fdel.delete();
 		}
 		return OK;
	}
	catch(Exception e)
	{
	    System.out.println("deleteFile: " + e);
	    return ERROR;
	}
}
//##############################################################################
//
//##############################################################################
public static int renameFile(String oldfile,String newfile)
{
File fnew,fold;
try
{
 	fold = new File(oldfile);
 	fnew = new File(newfile);
 	//System.out.println("renameFile STARTS");
 	if (fold.renameTo(fnew)==true)
 	{
 		//System.out.println("renameFile: OK");
 		return OK;
 	}
 	else
 	{
 		System.out.println("Error in renameFile(). Old file is "+ oldfile
 			+ " and new file is " + newfile);
 		return ERROR;
 	}
}
catch(Exception e)
{
    System.out.println("Error in bckRenameFile.renameFile: " + e);
    return ERROR;
}
}

//***************************** END OF CLASS INSTALL ******************************
} //end of class bckRenameFile
