-- *****************************************************************
-- FILE:checkDB4PMO.sql
-- Purpose: This script is used to verify the database is ready for 
-- the PMOFFICE installation
-- *****************************************************************
set pagesize 1000
set echo on
spool chkDb4Pmo.log

-- 1/ verify if the user has access to data dictionary
SELECT ROLE FROM SESSION_ROLES;
--If SELECT_CATALOG_ROLE is not returned, contact DBA. 

-- 2/ verify existing tablespaces;
SELECT TABLESPACE_NAME FROM DBA_TABLESPACES;
--if any of the following tablespaces is missing, create it prior to the PMOFFICE installation.
-- PMO_TEMP
-- PMO_LOB_64M
-- PMO_LOB_64K
-- PMO_DATA_64M
-- PMO_IDX_64K
-- PMO_DATA_64K

-- Compare the following parameters with those in the [INSTALL] section of 'Preinstall.cfg'. Adjust if they are different.

SELECT NAME||'='||VALUE FROM V$PARAMETER 
WHERE NAME IN ('db_cache_size','shared_pool_size','java_pool_size',
'large_pool_size','sga_max_size','shared_pool_reserved_size','pga_aggregate_target');

spool off
set echo off